=== debian/changelog ===
lyx (2.0.8.1-0ubuntu1) trusty; urgency=medium

  * New upstream microrelease 2.0.8.1 (LP: #1303688)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 22 Jun 2015 17:58:21 +0100
