## lyx 2.1.2

=== debian/changelog ===
lyx (2.1.2-2) unstable; urgency=low

  * Update d/watch to the 2.1.x series path.
  * LyX upstream provides its own .desktop file now. Remove the debian
    version and move the upstream file to the arch package.
    Closes: #762986, #763230

 -- Sven Hoexter <hoexter@debian.org>  Mon, 29 Sep 2014 12:59:04 +0200

lyx (2.1.2-1) unstable; urgency=low

  * New upstream release.
    + Updated prefer-xdg-open patch.
  * Add --disable-silent-rules to the list of configure flags.
    http://lists.debian.org/debian-devel/2013/06/msg00539.html
  * Add libmagic-dev to build-depends.
  * Add bc to build-depends. Thanks to the always amazing Pavel Sanda
    for the hint.
  * Replace suggest for dvipost with latex-xcolor.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 26 Sep 2014 11:10:24 +0200
