=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--disable-silent-rules \
 		--disable-rpath \
 		--enable-warnings \
 		--enable-nls \
@@ -26,6 +27,11 @@
 	mkdir -p debian/lyx/usr/share
 	mv debian/lyx-common/usr/bin debian/lyx/usr/bin
 	mv debian/lyx-common/usr/share/man debian/lyx/usr/share/man
+
+# move desktop file and svg icon to the arch package
+	mv debian/lyx-common/usr/share/applications debian/lyx/usr/share
+	rm -r debian/lyx-common/usr/share/icons/hicolor/48x48/
+	mv debian/lyx-common/usr/share/icons debian/lyx/usr/share
 
 # move fonts to font package
 	mkdir -p debian/fonts-lyx/usr/share/fonts/truetype
