## lyx 2.1.3

=== debian/changelog ===
lyx (2.1.3-1build1) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:54:13 +0000

lyx (2.1.3-1) unstable; urgency=low

  * New upstream release.
  * No longer override_dh_builddep in d/rules - xz is a default
    for quite some time.
  * Add Replaces and Breaks to the lyx binary package to support
    the icon move from lyx-common to lyx which was implemented in
    2.1.2-3. Closes: #767616

 -- Sven Hoexter <hoexter@debian.org>  Mon, 16 Feb 2015 11:55:15 +0100

lyx (2.1.2-3) unstable; urgency=low

  * Bumped up Standards version to 3.9.6 (no changes needed)
  * Add support for upstream GPG signature tarball check
  * Update copyright file and convert to machine-readable format
  * Specify NEWS as the upstream changelog to be included in the binary
    packages
  * Mark fonts-lyx binary package as Multi-Arch: foreign
  * Add a lintian override for lyx-common's link to external mythes directory
  * Add a patch that populates .desktop file with a Keywords field
  * Fix permissions for some scripts

 -- Nick Andrik <nick.andrik@gmail.com>  Sun, 12 Oct 2014 01:13:52 +0200
